Subject: bug#34787: New defcustom to govern TAB completion

From: Alex Branham <[email-masked]>
Date: Sat, 25 May 2019 08:43:02 -0500

On Sat 25 May 2019 at 08:37, Noam Postavsky <[email-masked]> wrote:

> Alex Branham <[email-masked]> writes:
>
>> As a quick reminder/TLDR - the proposal is to add a defcustom that
>> governs whether TAB offers completion when hit the first time. The
>> thinking is that if point is in the middle of a word, you may not want
>> completion.
>
> How would it interact with the existing tab-always-indent?  Would it
> make sense to combine them?

The way we have it in ESS currently is that they're two separate
variables. One (our version of tab-always-indent) governs whether TAB
offers completion and another (what I'm proposing adding to Emacs)
governs whether the first press of TAB should offer completion based on
context.

Alex